macroScript ConnectTwoVertices
	category:"Sergo Pogosyan"
	buttonText:"Connect Two Vertices"
	toolTip:""
(
	fn drawLineBetweenTwoPoints pointA pointB =
	(
		ss = SplineShape pos:pointA
		addNewSpline ss
		addKnot ss 1 #corner #line PointA
		addKnot ss 1 #corner #line PointB
		updateShape ss
		ss
	)

	fn get_vertices_selection spline_obj =
	(
		selection_coords= #()
		
		for i=1 to (numSplines spline_obj) do
		(
			selected_vertices = getKnotSelection spline_obj i
			if selected_vertices.count > 0 then 
			(
				for j in selected_vertices do 
					append selection_coords (getKnotPoint spline_obj i j)
			)
		)
		selection_coords
	)

	selected_points_coords = #()
	selected_points_coords = get_vertices_selection $
	updateShape $
	if selected_points_coords.count == 2 then 
	(
		connectionSpline = drawLineBetweenTwoPoints selected_points_coords[1] selected_points_coords[2]
		addAndWeld $ connectionSpline 1.0
		updateShape $
	)
)


